bdi4jade.examples.bdicycle

## Class SubgoalCapability.ParentPlan

- java.lang.Object
- - jade.core.behaviours.Behaviour
  - - bdi4jade.plan.planbody.AbstractPlanBody
    - - bdi4jade.examples.bdicycle.SubgoalCapability.ParentPlan

- All Implemented Interfaces:
    GoalListener, PlanBody, java.io.Serializable, java.util.EventListener
  Enclosing class:
    SubgoalCapability

      public static class SubgoalCapability.ParentPlan
      extends AbstractPlanBody

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jade.core.behaviours.Behaviour

      `jade.core.behaviours.Behaviour.RunnableChangedEvent`

  - ### Field Summary

    - ### Fields inherited from class jade.core.behaviours.Behaviour

      `myAgent, myEvent, NOTIFY_DOWN, NOTIFY_UP, parent, STATE_BLOCKED, STATE_READY, STATE_RUNNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParentPlan()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action()`
    `int` | `onEnd()` This method is invoked just once after this behaviour has ended.
    `void` | `onStart()` This method is executed just once before starting this plan body execution.

    - ### Methods inherited from class bdi4jade.plan.planbody.AbstractPlanBody

      `dispatchGoal, dispatchSubgoal, dispatchSubgoalAndListen, done, getBeliefBase, getCapability, getEndState, getGoal, getGoalEvent, getGoalEvent, getGoalEvent, getPlan, goalPerformed, init, setEndState, start, stop`

    - ### Methods inherited from class jade.core.behaviours.Behaviour

      `actionWrapper, block, block, getAgent, getBehaviourName, getDataStore, getExecutionState, getParent, getRestartCounter, handle, handleBlockEvent, handleRestartEvent, isRunnable, reset, restart, root, setAgent, setBehaviourName, setDataStore, setExecutionState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.plan.planbody.PlanBody

      `block, reset, restart`

- - ### Constructor Detail

    - #### ParentPlan

          public ParentPlan()

  - ### Method Detail

    - #### action

          public void action()

      Specified by:
        `action` in class `jade.core.behaviours.Behaviour`

    - #### onEnd

          public int onEnd()

      Description copied from interface: `PlanBody`
      This method is invoked just once after this behaviour has ended. Therefore, it acts as an epilog for the task represented by this plan body. Note that onEnd is called after the plan body has already stopped its execution.
      Specified by:
        `onEnd` in interface `PlanBody`
      Overrides:
        `onEnd` in class `jade.core.behaviours.Behaviour`
      Returns:
        an integer code representing the termination value of the behaviour.
      See Also:
        `Behaviour.onEnd()`

    - #### onStart

          public void onStart()

      Description copied from interface: `PlanBody`
      This method is executed just once before starting this plan body execution. Therefore, it acts as a prolog to the task represented by this plan body.
      Specified by:
        `onStart` in interface `PlanBody`
      Overrides:
        `onStart` in class `jade.core.behaviours.Behaviour`
      See Also:
        `Behaviour.onStart()`